<div class = "titlePage">
  <h2>{'Extended author'|@translate}</h2>
</div>

<!-- create the form for EAeating and editing authors -->
<form action='{$E_AUTHOR_PATH}-{if $edit == 0}create{else}update{/if}'
      method='POST'>
  <fieldset>
    <legend>{if $edit == 0}{'Create author'|@translate}
            {else}{'Update author'|@translate}{/if}</legend>
      <!-- If $edit != 0 we should remember the id of the author that is
           edited -->
      {if $edit != 0}<input type='hidden' name='id' id='id' value='{$EAid}' />{/if}
      <!-- Put all the attributes of the author in a nice table -->
      <table>
        <tr>
          <td>{'Name'|@translate}</td>
          <td><input type='text' name='name' id='name' value='{$EAname}' /></td>
        </tr>
        <tr>
          <td>{'Code'|@translate}</td>
          <td><input type='text' name='code' id='code' value='{$EAcode}' /></td>
        </tr>
        <tr>
          <td>{'URL'|@translate}</td>
          <td><input type='text' name='url'  id='url'  value='{$EAurl}' /></td>
        </tr>
        <tr>
          <td>{'Description'|@translate}</td>
          <td><textarea name='descr' id='descr'>{$EAdescr}</textarea></td>
        </tr>
        <tr>
          <td>{'Default'|@translate} {'copright'|@translate}</td>
          <td>
				<select name="copyrightID">
					<option value="0">--</option>
					{html_options options=$EAcopyrights selected=$EAcopyright_id}
				</select>
		  </td>
        </tr>
        <tr>
          <td></td>
          <td><input type='submit' value="{if $edit == 0}{'Create'|@translate}{else}{'Update'|@translate}{/if}" /></td>
        </tr>
      </table>
  </fieldset>
</form>

<!-- If we are on the 'homepage', show a table of all authors -->
{if $edit == 0}
<form>
  <fieldset>
    <legend>{'Edit author'|@translate}</legend>
    <table>
      <tr>
        <!-- create a nice header row -->
        <th>{'Name'|@translate}</th>
        <th>{'Code'|@translate}</th>
        <th>{'URL'|@translate}</th>
        <th>{'Description'|@translate}</th>
        <th>{'Copyright'|@translate}</th>
        <th>{'Actions'|@translate}</th>
      </tr>
    <!-- Loop over all copyrights -->
    {if not empty($EAs)}
    {foreach from=$EAs item=EA}
    {strip}
      <tr class="{cycle values="row1,row2"}"> <!-- This gives nicely colored
                                                   table rows -->
        <td>{$EA.name}</td>
        <td>{$EA.code}</td>
        <td><a href="{$EA.url}">{$EA.url}</a></td>
        <td>{$EA.descr}</td>
        <td>{$EAcopyrights[$EA.copyright_id]}</td>
        <!-- Show nice Edit and Delete icons -->
        <td>
          <a href="{$E_AUTHOR_PATH}-edit&id={$EA.author_id}">
            <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/edit_s.png"
            alt="{'Edit'|@translate}" title="{'Edit'|@translate}" />
          </a>
          <a href="{$E_AUTHOR_PATH}-delete&id={$EA.author_id}" onclick="return confirm(document.getElementById('btn_delete').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
            <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png"
            id="btn_delete" alt="{'Delete'|@translate}" title="{'Delete author'|@translate}" />
          </a>
        </td>
      </tr>
    {/strip}
    {/foreach}
    {/if}
    </table>
  </fieldset>
</form>
{/if}